%define pre_rel beta5

Name:           premake
Version:        4.4
Release:        %mkrel -c %{pre_rel} 7
Summary:        Cross-platform build configuration tool
Group:          Development/Tools
License:        BSD
URL:            http://industriousone.com/premake
Source0:        http://downloads.sourceforge.net/%{name}/premake-%{version}-%{pre_rel}-src.zip
# This patch removes the bundeled Lua sources from the makefile to use the system Lua
Patch0:         premake-4.4-mga-fdr-system-lua.patch
# Add the missing manpage
Patch1:         premake-4.3-fdr-manpage.patch
Patch2:         premake-4.4-mga-parallel-build.patch

BuildRequires:  doxygen
BuildRequires:  pkgconfig(lua) > 5.0
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  readline-devel

%description
Premake is a build configuration tool that can generate project files for:
 - GNU make
 - Code::Blocks
 - CodeLite
 - MonoDevelop
 - SharpDevelop
 - Apple XCode
 - Microsoft Visual Studio

%prep
%setup -q -n %{name}-%{version}-%{pre_rel}
%autopatch -p1

# do not stripping the executable
sed -i -e "s|\$(LDFLAGS) -L. -s|\$(LDFLAGS) -L.|" build/gmake.unix/Premake4.make

%build
pushd build/gmake.unix/
%set_build_flags
%make
popd

# Generate doc
doxygen

%install
install -m 755 -Dp ./bin/release/premake4 %{buildroot}/%{_bindir}/premake4
install -m 644 -Dp ./premake4.1 %{buildroot}/%{_mandir}/man1/premake4.1

%files
%doc doc/html/* LICENSE.txt README.txt CHANGES.txt
%{_bindir}/premake4
%{_mandir}/man1/premake4.1.xz


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 4.4-0.beta5.7.mga8
+ Revision: 1516169
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 4.4-0.beta5.6.mga7
+ Revision: 1300373
- Mageia 7 Mass Rebuild

* Tue Feb 16 2016 umeabot <umeabot> 4.4-0.beta5.5.mga6
+ Revision: 962147
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 daviddavid <daviddavid> 4.4-0.beta5.4.mga6
+ Revision: 894451
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 4.4-0.beta5.3.mga5
+ Revision: 748779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-0.beta5.2.mga5
+ Revision: 687775
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 akien <akien> 4.4-0.beta5.1.mga5
+ Revision: 639159
- Version 4.4 beta5
- Add the HTML documentation

* Tue Mar 25 2014 pterjan <pterjan> 4.3-2.mga5
+ Revision: 608371
- Fix parallel build

* Tue Dec 10 2013 akien <akien> 4.3-1.mga4
+ Revision: 556182
- Use a patch instead of sed instructions
- imported package premake


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 28 2010 Joachim de Groot <jdegroot@web.de> - 4.3-2
- Let rpm handle the man page compression

* Sat Nov 27 2010 Joachim de Groot <jdegroot@web.de> - 4.3-1
- Update to 4.3, thus changed license to BSD
- Added missing version numbers to changelog
- Added readline-devel to BuildRequires
- Added a man page

* Fri Oct 29 2010 Joachim de Groot <jdegroot@web.de> - 4.2.1-3
- Correct building of the debuginfo package

* Fri Oct 29 2010 Joachim de Groot <jdegroot@web.de> - 4.2.1-2
- Implemented changes proposed by Mohamed El Morabity

* Thu Oct 28 2010 Joachim de Groot <jdegroot@web.de> - 4.2.1-1
- Initial version of the package

